function par_out = parset(v_par,par_in)
% par_out = parset_test(v_par,par_in)
%   Sets parameters C, M, Lambda and H_g using a vector of values v_par and
%   an associated logical indexing vector partype specifying the entries in
%   the vector [C;M;Lambda;H_g] represented by v_par
%   Any parameters not specified through fields in par_in or components of
%   v_par are set to defaults of 1

%intialize output structure
par_out = par_in;


%reset parameters specified by logical indexing vector parameters.partype
if ~isfield(par_in,'C')
    par_in.C = 1;
end
if ~isfield(par_in,'M')
    par_in.M = 1;
end
if ~isfield(par_in,'Lambda')
    par_in.Lambda = 1;
end
if ~isfield(par_in,'H_g')
    par_in.H_g = 1;
end
parvec = [par_in.C;par_in.M;par_in.Lambda;par_in.H_g];
parvec(par_in.type) = v_par;

%overwrite the relevant entries in output structure
par_out.C = parvec(1);
par_out.M = parvec(2);
par_out.Lambda = parvec(3);
par_out.H_g = parvec(4);

end

